Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.coyote.ajp
Class AjpAprProtocol.AjpConnectionHandler

    java.lang.Object
      org.apache.coyote.AbstractProtocol.AbstractConnectionHandler<S,P>
          org.apache.coyote.ajp.AbstractAjpProtocol.AbstractAjpConnectionHandler<Long,AjpAprProcessor>
              org.apache.coyote.ajp.AjpAprProtocol.AjpConnectionHandler

All Implemented Interfaces:
  AbstractEndpoint.Handler, AprEndpoint.Handler

Enclosing class:
  AjpAprProtocol

    protected static class AjpAprProtocol.AjpConnectionHandler

extends AbstractAjpProtocol.AbstractAjpConnectionHandler<Long,AjpAprProcessor>
implements AprEndpoint.Handler

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.tomcat.util.net.AbstractEndpoint.Handler
`AbstractEndpoint.Handler.SocketState`

Field Summary
`protected AjpAprProtocol` | `proto`

Fields inherited from class org.apache.coyote.AbstractProtocol.AbstractConnectionHandler
`connections, global, recycledProcessors, registerCount`

Constructor Summary
`AjpAprProtocol.AjpConnectionHandler(AjpAprProtocol proto)`

Method Summary
`protected AjpAprProcessor` | `createProcessor()`
`protected Log` | `getLog()`
`protected AbstractProtocol` | `getProtocol()`
`void` | `release(SocketWrapper<Long> socket, Processor<Long> processor, boolean isSocketClosing, boolean addToPoller)` Expected to be used by the handler once the processor is no longer required.

Methods inherited from class org.apache.coyote.ajp.AbstractAjpProtocol.AbstractAjpConnectionHandler
`createUpgradeProcessor, initSsl, longPoll`

Methods inherited from class org.apache.coyote.AbstractProtocol.AbstractConnectionHandler
`getGlobal, process, recycle, register, unregister`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.tomcat.util.net.AprEndpoint.Handler
`process`

Methods inherited from interface org.apache.tomcat.util.net.AbstractEndpoint.Handler
`getGlobal, recycle`

Field Detail

### proto

    protected AjpAprProtocol proto

Constructor Detail

### AjpAprProtocol.AjpConnectionHandler

    public AjpAprProtocol.AjpConnectionHandler(AjpAprProtocol proto)

Method Detail

### getProtocol

    protected AbstractProtocol getProtocol()

  Specified by:
    `getProtocol` in class `AbstractProtocol.AbstractConnectionHandler<Long,AjpAprProcessor>`

### getLog

    protected Log getLog()

  Specified by:
    `getLog` in class `AbstractProtocol.AbstractConnectionHandler<Long,AjpAprProcessor>`

### release

    public void release(SocketWrapper<Long> socket,
                        Processor<Long> processor,
                        boolean isSocketClosing,
                        boolean addToPoller)

  Expected to be used by the handler once the processor is no longer required.

  Specified by:
    `release` in class `AbstractProtocol.AbstractConnectionHandler<Long,AjpAprProcessor>`

### createProcessor

    protected AjpAprProcessor createProcessor()

  Specified by:
    `createProcessor` in class `AbstractProtocol.AbstractConnectionHandler<Long,AjpAprProcessor>`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.